Bug 91221 - generate skeleton for "class" the way you do for "def"
generate skeleton for "class" the way you do for "def"
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
PC Linux
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 16:11 UTC by Tomas Danek
Modified: 2007-07-03 14:42 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2006-12-18 16:11:11 UTC
#191
NetBeans IDE Dev (Build 061214)
1.6.0; Java HotSpot(TM) Client VM 1.6.0-b105
Linux version 2.6.17-10-generic running on i386
cs_CZ (nb); UTF-8
-------------------------
when you write

def + push space, method skeleton is generated:

def name

end

it would be nice to have the same for class, something like e.g.

class Classname

end
Comment 1 Torbjorn Norbye 2006-12-18 21:35:45 UTC
Fixed in #193. Note that currently this expansion is done with abbreviations,
which are pretty stupid about their context (which is why I have disabled the
default "do" and "if" abbreviations for example, since they would not work well
when used as statement modifiers. It might be nice to do this differently later on.
Comment 2 Martin Krauskopf 2006-12-19 09:27:44 UTC
Forgotten TM
Comment 3 Tomas Danek 2006-12-19 12:54:15 UTC
thanks. verified in #195
Comment 4 Jiri Kovalsky 2007-07-03 13:58:38 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 5 Jiri Kovalsky 2007-07-03 14:42:25 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo